import setuptools

with open('README.md', 'r', encoding='utf-8') as fh:
    long_description = fh.read()

setuptools.setup(
    name='example_lagrange_workflow',
    author='Sadegh Zeynali',
    author_email='sadegh.z@gmail.com',
    description='Example lagrange PyPI (Python Package Index) Package',
    keywords='example, pypi, package',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://github.com/szainalie/example_lagrange_workflow',
    project_urls={
        'Documentation': 'https://github.com/szainalie/example_lagrange_workflow',
        'Bug Reports':
        'https://github.com/szainalie/example_lagrange_workflow/issues',
        'Source Code': 'https://github.com/szainalie/example_lagrange_workflow',
        # 'Funding': '',
        # 'Say Thanks!': '',
    },
    package_dir={'': 'src'},
    packages=setuptools.find_packages(where='src'),
    classifiers=[
        # see https://pypi.org/classifiers/
        'Development Status :: 5 - Production/Stable',

        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',

        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3 :: Only',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
    install_requires=['apache-beam'],
    extras_require={
        'dev': ['check-manifest'],
        # 'test': ['coverage'],
    },
    # entry_points={
    #     'console_scripts': [  # This can provide executable scripts
    #         'run=lagrange_workflow:main',
    # You can execute `run` in bash to run `main()` in src/lagrange_workflow/__init__.py
    #     ],
    # },
)
